


#include <libgnomedb-extra/libgnomedb-extra.h>
#include <glib-object.h>

/* enumerations from "gnome-db-selector.h" */
GType
gnome_db_selector_feature_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { GNOME_DB_SELECTOR_FEATURE_NONE, "GNOME_DB_SELECTOR_FEATURE_NONE", "none" },
      { GNOME_DB_SELECTOR_FEATURE_SCHEMAS, "GNOME_DB_SELECTOR_FEATURE_SCHEMAS", "schemas" },
      { GNOME_DB_SELECTOR_FEATURE_SCHEMA_TABLES, "GNOME_DB_SELECTOR_FEATURE_SCHEMA_TABLES", "schema-tables" },
      { GNOME_DB_SELECTOR_FEATURE_SCHEMA_VIEWS, "GNOME_DB_SELECTOR_FEATURE_SCHEMA_VIEWS", "schema-views" },
      { GNOME_DB_SELECTOR_FEATURE_SCHEMA_DOMAINS, "GNOME_DB_SELECTOR_FEATURE_SCHEMA_DOMAINS", "schema-domains" },
      { GNOME_DB_SELECTOR_FEATURE_SCHEMA_TABLE_COLUMNS, "GNOME_DB_SELECTOR_FEATURE_SCHEMA_TABLE_COLUMNS", "schema-table-columns" },
      { GNOME_DB_SELECTOR_FEATURE_SCHEMA_TABLE_CONSTRAINTS, "GNOME_DB_SELECTOR_FEATURE_SCHEMA_TABLE_CONSTRAINTS", "schema-table-constraints" },
      { GNOME_DB_SELECTOR_FEATURE_SCHEMA_TABLE_TRIGGERS, "GNOME_DB_SELECTOR_FEATURE_SCHEMA_TABLE_TRIGGERS", "schema-table-triggers" },
      { GNOME_DB_SELECTOR_FEATURE_SCHEMA_TABLE_DETAILS, "GNOME_DB_SELECTOR_FEATURE_SCHEMA_TABLE_DETAILS", "schema-table-details" },
      { GNOME_DB_SELECTOR_FEATURE_SCHEMA_VIEW_COLUMNS, "GNOME_DB_SELECTOR_FEATURE_SCHEMA_VIEW_COLUMNS", "schema-view-columns" },
      { GNOME_DB_SELECTOR_FEATURE_SCHEMA_VIEW_DETAILS, "GNOME_DB_SELECTOR_FEATURE_SCHEMA_VIEW_DETAILS", "schema-view-details" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("GnomeDbSelectorFeature", values);
  }
  return etype;
}

/* enumerations from "gnome-db-selector-part.h" */
GType
gnome_db_selector_part_fill_mode_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { GNOME_DB_SELECTOR_PART_FILL_MODE_FIRST_FILL, "GNOME_DB_SELECTOR_PART_FILL_MODE_FIRST_FILL", "first-fill" },
      { GNOME_DB_SELECTOR_PART_FILL_MODE_OVW_FIRST, "GNOME_DB_SELECTOR_PART_FILL_MODE_OVW_FIRST", "ovw-first" },
      { GNOME_DB_SELECTOR_PART_FILL_MODE_OVW_NEXT, "GNOME_DB_SELECTOR_PART_FILL_MODE_OVW_NEXT", "ovw-next" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("GnomeDbSelectorPartFillMode", values);
  }
  return etype;
}

/* enumerations from "gnome-db-selector-schema.h" */
GType
gnome_db_selector_schema_node_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { GNOME_DB_SELECTOR_SCHEMA_TABLES, "GNOME_DB_SELECTOR_SCHEMA_TABLES", "tables" },
      { GNOME_DB_SELECTOR_SCHEMA_VIEWS, "GNOME_DB_SELECTOR_SCHEMA_VIEWS", "views" },
      { GNOME_DB_SELECTOR_SCHEMA_SEQUENCES, "GNOME_DB_SELECTOR_SCHEMA_SEQUENCES", "sequences" },
      { GNOME_DB_SELECTOR_SCHEMA_PROCEDURES, "GNOME_DB_SELECTOR_SCHEMA_PROCEDURES", "procedures" },
      { GNOME_DB_SELECTOR_SCHEMA_DOMAINS, "GNOME_DB_SELECTOR_SCHEMA_DOMAINS", "domains" },
      { GNOME_DB_SELECTOR_SCHEMA_LAST, "GNOME_DB_SELECTOR_SCHEMA_LAST", "last" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("GnomeDbSelectorSchemaNodeType", values);
  }
  return etype;
}

/* enumerations from "gnome-db-selector-table.h" */
GType
gnome_db_selector_table_node_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { GNOME_DB_SELECTOR_TABLE_COLUMNS, "GNOME_DB_SELECTOR_TABLE_COLUMNS", "columns" },
      { GNOME_DB_SELECTOR_TABLE_INDEXES, "GNOME_DB_SELECTOR_TABLE_INDEXES", "indexes" },
      { GNOME_DB_SELECTOR_TABLE_CONSTRAINTS, "GNOME_DB_SELECTOR_TABLE_CONSTRAINTS", "constraints" },
      { GNOME_DB_SELECTOR_TABLE_TRIGGERS, "GNOME_DB_SELECTOR_TABLE_TRIGGERS", "triggers" },
      { GNOME_DB_SELECTOR_TABLE_RULES, "GNOME_DB_SELECTOR_TABLE_RULES", "rules" },
      { GNOME_DB_SELECTOR_TABLE_LAST, "GNOME_DB_SELECTOR_TABLE_LAST", "last" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("GnomeDbSelectorTableNodeType", values);
  }
  return etype;
}

/* enumerations from "gnome-db-selector-view.h" */
GType
gnome_db_selector_view_node_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { GNOME_DB_SELECTOR_VIEW_COLUMNS, "GNOME_DB_SELECTOR_VIEW_COLUMNS", "columns" },
      { GNOME_DB_SELECTOR_VIEW_LAST, "GNOME_DB_SELECTOR_VIEW_LAST", "last" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("GnomeDbSelectorViewNodeType", values);
  }
  return etype;
}



